import type { CancelTokenSource, AxiosInstance } from 'axios';
declare type CancelTokens = {
    createPoll: CancelTokenSource | null;
    updatePoll: CancelTokenSource | null;
    vote: CancelTokenSource | null;
    unvote: CancelTokenSource | null;
};
export declare class SocialPollsService {
    static CANCEL_MESSAGE: string;
    client: AxiosInstance;
    cancelTokens: CancelTokens;
    constructor(siteToken: any);
    successResponseInterceptor(response: any): any;
    failResponseInterceptor(error: any): Promise<never>;
    fetchPoll(pollId: any): Promise<import("axios").AxiosResponse<any>>;
    createPoll(question: any): Promise<import("axios").AxiosResponse<any>>;
    updatePoll(question: any): Promise<import("axios").AxiosResponse<any>>;
    vote(pollId: any, optionId: any): Promise<import("axios").AxiosResponse<any>>;
    unvote(pollId: any, optionId: any): Promise<import("axios").AxiosResponse<any>>;
    getVoters(pollId: any, optionId: any, params: any): Promise<import("axios").AxiosResponse<any>>;
}
export {};
//# sourceMappingURL=SocialPollsService.d.ts.map