export class PollOptionBase extends React.PureComponent<any, any, any> {
    static propTypes: {
        rce: import("prop-types").Validator<import("prop-types").InferProps<{
            isViewMode: import("prop-types").Validator<boolean>;
            setInPluginEditingMode: import("prop-types").Requireable<(...args: any[]) => any>;
            helpers: import("prop-types").Requireable<import("prop-types").InferProps<{
                handleFileUpload: import("prop-types").Requireable<(...args: any[]) => any>;
            }>>;
            theme: import("prop-types").Validator<object>;
            getSiteMembers: import("prop-types").Requireable<(...args: any[]) => any>;
        }>>;
        t: import("prop-types").Validator<(...args: any[]) => any>;
        layout: import("prop-types").Validator<object>;
        design: import("prop-types").Validator<object>;
        option: import("prop-types").Requireable<import("prop-types").InferProps<{
            id: import("prop-types").Requireable<string>;
            title: import("prop-types").Requireable<string>;
            mediaId: import("prop-types").Requireable<string>;
            count: import("prop-types").Requireable<number>;
            rating: import("prop-types").Requireable<number>;
        }>>;
        removeEnabled: import("prop-types").Requireable<boolean>;
        update: import("prop-types").Requireable<(...args: any[]) => any>;
        remove: import("prop-types").Requireable<(...args: any[]) => any>;
        vote: import("prop-types").Requireable<(...args: any[]) => any>;
        unvote: import("prop-types").Requireable<(...args: any[]) => any>;
        poll: import("prop-types").Requireable<object>;
        imageEnabled: import("prop-types").Requireable<boolean>;
        voteEnabled: import("prop-types").Requireable<boolean>;
        showResults: import("prop-types").Requireable<boolean>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    isEditAllowed(): boolean;
    isUserChoice(): boolean;
    isViewMode(): any;
    isGridLayout(): boolean;
    isListLayout(): boolean;
    isImageEnabled(): any;
    handleRemove: (e: any) => void;
    toggleVote(): Promise<void>;
    handleVoteClick: (e: any) => Promise<void>;
    handleTitleChange: (title: any) => any;
    handleImageChange: (mediaId: any) => any;
    getVotePercentage(): any;
}
import React from "react";
//# sourceMappingURL=PollOptionBase.d.ts.map