export namespace RCEHelpersPropTypes {
    export const rce: PropTypes.Validator<PropTypes.InferProps<{
        isViewMode: PropTypes.Validator<boolean>;
        setInPluginEditingMode: PropTypes.Requireable<(...args: any[]) => any>;
        helpers: PropTypes.Requireable<PropTypes.InferProps<{
            handleFileUpload: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
        theme: PropTypes.Validator<object>;
        getSiteMembers: PropTypes.Requireable<(...args: any[]) => any>;
    }>>;
    export const t: PropTypes.Validator<(...args: any[]) => any>;
    export const layout: PropTypes.Validator<object>;
    export const design: PropTypes.Validator<object>;
}
export const RCEHelpersContext: React.Context<{}>;
export function withRCEHelpers(WrappedComponent: any): (props: any) => JSX.Element;
import PropTypes from "prop-types";
import React from "react";
//# sourceMappingURL=index.d.ts.map