export class DesignSettingsSection extends React.Component<any, any, any> {
    static PICK_BACKGROUND_LABELS: {
        color: string;
        image: string;
        gradient: string;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    modalsWithEditorCommands: any;
    styles: Record<string, string>;
    useNewSettingsUi: boolean;
    updateDesign(design: any): void;
    handleBackgroundChange: (value: any) => void;
    handleBackgroundColorChange: ({ color }: {
        color: any;
    }) => void;
    handlePollBorderRadiusChange: (borderRadius: any) => void;
    handleOptionBorderRadiusChange: (borderRadius: any) => void;
    handleTypeChange: (backgroundType: any) => void;
    dataMapper: ({ name }: {
        name: any;
    }) => {
        value: any;
    };
    renderOption: ({ item, selected }: {
        item: any;
        selected: any;
    }) => JSX.Element;
    getBackgroundColorValue(): string | null;
    getColorPalettePreset(): any;
}
export namespace DesignSettingsSection {
    export namespace propTypes {
        export const t: PropTypes.Validator<(...args: any[]) => any>;
        export const theme: PropTypes.Validator<object>;
        export const componentData: PropTypes.Validator<object>;
        export const experiments: PropTypes.Requireable<object>;
        export const updateData: PropTypes.Validator<(...args: any[]) => any>;
        export const store: PropTypes.Validator<object>;
        export const languageDir: PropTypes.Validator<string>;
    }
}
import React from "react";
import { BACKGROUND_TYPE } from "../../../defaults";
import PropTypes from "prop-types";
//# sourceMappingURL=DesignSettingsSection.d.ts.map